Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 15 Jun 2015 20:12:15 +0000 (UTC)
From:      Xin LI <delphij@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-head@freebsd.org
Subject:   svn commit: r284425 - head/usr.sbin/freebsd-update
Message-ID:  <201506152012.t5FKCF08047192@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: delphij
Date: Mon Jun 15 20:12:15 2015
New Revision: 284425
URL: https://svnweb.freebsd.org/changeset/base/284425

Log:
  Skip src component if /usr/src is empty.
  
  Differential Revision:	https://reviews.freebsd.org/D2364
  Submitted by:		kczekirda
  Reviewed by:		cperciva, delphij, nwhitehorn, allanjude
  MFC after:		2 weeks

Modified:
  head/usr.sbin/freebsd-update/freebsd-update.sh

Modified: head/usr.sbin/freebsd-update/freebsd-update.sh
==============================================================================
--- head/usr.sbin/freebsd-update/freebsd-update.sh	Mon Jun 15 20:11:15 2015	(r284424)
+++ head/usr.sbin/freebsd-update/freebsd-update.sh	Mon Jun 15 20:12:15 2015	(r284425)
@@ -216,7 +216,15 @@ config_KeepModifiedMetadata () {
 # Add to the list of components which should be kept updated.
 config_Components () {
 	for C in $@; do
-		COMPONENTS="${COMPONENTS} ${C}"
+		if [ "$C" = "src" ]; then
+			if [ -e /usr/src/COPYRIGHT ]; then
+				COMPONENTS="${COMPONENTS} ${C}"
+			else
+				echo "src component not installed, skipped"
+			fi
+		else
+			COMPONENTS="${COMPONENTS} ${C}"
+		fi
 	done
 }
 
@@ -2642,10 +2650,10 @@ install_unschg () {
 	while read F; do
 		if ! [ -e ${BASEDIR}/${F} ]; then
 			continue
+		else
+			echo ${BASEDIR}/${F}
 		fi
-
-		chflags noschg ${BASEDIR}/${F} || return 1
-	done < filelist
+	done < filelist | xargs chflags noschg || return 1
 
 	# Clean up
 	rm filelist



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201506152012.t5FKCF08047192>